Subject: Re: [PATCH] powerpc/mpic: don't reset affinity for secondary MPIC on boot

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 22 Nov 2008 09:33:00 +1100

On Fri, 2008-11-21 at 15:40 +0100, Arnd Bergmann wrote:
> On Friday 21 November 2008, Benjamin Herrenschmidt wrote:
> > Oh just that for powermac for example, I know I'm resetting the thing,
> > so can't rely on init values, and on some BML embedded boxes too, while
> > on things like cell I don't off hand know what the right CPU number is
> > to hit the right C3PO interrupt, so I'm better off reading what SLOF
> > did :-)
> 
> The current code will always use destination 0 for any MPIC, because
> mpic_init is run befew smp_init and it currently uses the local CPU.
> 
> If an SMP powermac requires a specific destination setting in the
> secondary MPIC, either the current mpic_init code is broken there
> in the same way as on cell, or more broken if it requires something
> other than destination 0.
> 
> > But if you think on Cell we can just hard wire in the platform code,
> > then I'm ok.
> 
> On cell, I know that destination 0 is always correct because of the wiring
> inside of Axon.

Ok so -all- existing instances only care about destination 0, we may
just hard code that in MPIC for now :-)

Cheers,
Ben.